org.glassfish.jersey.server.wadl.processor

## Class WadlModelProcessor.OptionsHandler

- java.lang.Object
- - org.glassfish.jersey.server.wadl.processor.WadlModelProcessor.OptionsHandler

All Implemented Interfaces:
  Inflector<jakarta.ws.rs.container.ContainerRequestContext,jakarta.ws.rs.core.Response>

Enclosing class:
  WadlModelProcessor

    public static class WadlModelProcessor.OptionsHandler
    extends Object
    implements Inflector<jakarta.ws.rs.container.ContainerRequestContext,jakarta.ws.rs.core.Response>

OPTIONS resource method handler that serves resource WADL.

### Constructor Summary

Constructors
Constructor and Description
`OptionsHandler()`

### Method Summary

All Methods Instance Methods Concrete Methods
`jakarta.ws.rs.core.Response` `apply(jakarta.ws.rs.container.ContainerRequestContext containerRequestContext)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### OptionsHandler

    public OptionsHandler()

### Method Detail

#### apply

    public jakarta.ws.rs.core.Response apply(jakarta.ws.rs.container.ContainerRequestContext containerRequestContext)

Specified by:
  `apply` in interface `Inflector<jakarta.ws.rs.container.ContainerRequestContext,jakarta.ws.rs.core.Response>`